{% extends 'configuration/property_vacancy_reporter/property_vacancy_reporter_configuration.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('configuration/property_vacancy_reporter/layout') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('configuration/property_vacancy_reporter/layout') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <span class="text-primary fs-5 align-self-center">Leerstandmelder-Konfiguration</span>
        {{ form_widget(layoutForm.save, {'label': 'SPEICHERN', 'id': layoutForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        {% if submitResponse is not empty %}
            {% include 'component/alert_notification_component.html.twig' with {
                'success': submitResponse.0.success,
                'message': submitResponse.0.message,
                'errors': submitResponse.0.errors
            } only %}
        {% endif %}
        <div class="mdc-card mb-4">
            <div class="p-3">
                <h2 class="mb-3 fs-3">Einstellungen für das Layout</h2>
                {{ form_start(layoutForm, {'attr': {'id': layoutForm.vars.id ~ '_form'}}) }}
                {% include 'configuration/form/property_vacancy_reporter/layout_form.html.twig' with {'form': layoutForm} only %}
                {{ form_row(layoutForm._token) }}
                {{ form_end(layoutForm, {'render_rest': false}) }}
            </div>
        </div>
    </div>
{% endblock %}
